Main (Java SE 10 & JDK 10 )
Keywords: com.sun.tools.javac.Main class

Module jdk.compiler
Package com.sun.tools.javac

## Class Main

- java.lang.Object
- - com.sun.tools.javac.Main

-     public class Main
      extends Object

  A legacy programmatic interface for the Java Programming Language compiler, javac. See the `jdk.compiler` module for details on replacement APIs.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Main()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `compile​(String[] args)` | Programmatic interface to the Java Programming Language compiler, javac.
    `static int` | `compile​(String[] args, PrintWriter out)` | Programmatic interface to the Java Programming Language compiler, javac.
    `static void` | `main​(String[] args)` | Main entry point for the launcher.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Main entry point for the launcher. Note: This method calls System.exit.
      Parameters:
        `args` - command line arguments
      Throws:
        `Exception`

    - #### compile

          public static int compile​(String[] args)

      Programmatic interface to the Java Programming Language compiler, javac.
      Parameters:
        `args` - The command line arguments that would normally be passed to the javac program as described in the man page.
      Returns:
        an integer equivalent to the exit value from invoking javac, see the man page for details.

    - #### compile

          public static int compile​(String[] args,
                                    PrintWriter out)

      Programmatic interface to the Java Programming Language compiler, javac.
      Parameters:
        `args` - The command line arguments that would normally be passed to the javac program as described in the man page.
        `out` - PrintWriter to which the compiler's diagnostic output is directed.
      Returns:
        an integer equivalent to the exit value from invoking javac, see the man page for details.